% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Used as auxiliary function to compute optimal DARM tuning to have
% zero TEM00 carrier power at dark port
%
% e = df_car_power(itf, zdarm)
%
%      itf   = interferometer structure
%      zdarm = DARM tuning in pm (1e-12 m)
%

function e = df_car_power(itf, zdarm)

    itf.DARM = 1e-12 * zdarm;
    e = dualrecycled_fields_fast_df(itf,0);
    e = abs(e(1,1))^2;
    
