% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Used as auxiliary function to compute optimal DARM tuning to have
% constant TEM00 power at dark port
%
% e = error_darm(itf, zdarm)
%
%      itf   = interferometer structure
%      zdarm = DARM tuning in pm (1e-12 m)
%

function e = error_darm(itf, zdarm)

    itf.DARM = 1e-12 * zdarm;
    e = dualrecycled_fields_fast_df(itf,0);
    e = abs(e(1,1))^2 - 8e-04;
    
