% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Return a list of TEM modes up to maximum order n (only even ordes)
%
% modes = list_modes(n)

function modes = list_even_modes(n)
    n = floor(n/2);
    N = (n+1)*(n+2)/2;
    modes = zeros(N,2);
    modes(1,:) = [0, 0];
    idx = 1;
    for i=1:n
        for j=0:i
            idx = idx + 1;
            modes(idx,:) = [j, i-j];
        end
    end
    modes = 2*modes;
    
