% Modal Interferometer Simulation Tool (MIST) - Gabriele Vajente (April 2010)
%
% Auxiliary function used for pseudo-lock. Compute error signal for a given 
% position of CARM and PRCL, looking for the maximum of carrier inside arm
%
% err = maximize_car(itf, zprcl, zcarm)
% 
%       itf   = interferometer structure
%       zprcl = prcl tuning in pm (1e-12 m)
%       zcarm = carm tuning in pm (1e-12 m)
%

function err = maximize_car(itf, zprcl, zcarm)
    itf.PRCL = 1e-12*zprcl;
    itf.CARM = 1e-12*zcarm;
    itf.DARM = 0;
    itf.MICH = 0;
    
    [Cn,Cw] = dualrecycled_fields_fast_arm(itf, 0);
    err = 0.5 * (dc(Cn(:,1), 1) + dc(Cw(:,1),1));
    
   
